Skip to content

Organisation

Organisation profile and access settings, including the production bypass switch.

GET/api/org
PUT/api/org
GET/api/org/access-settings
PUT/api/org/access-settings

Get organization incl. full settings JSON ​

GET/api/org

Authentication: bearer token.
Permission: any signed-in user.

bash
curl -X GET "https://shellius.example.com/api/org" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Update name/domain/logo/settings ​

PUT/api/org

Org.update (name, domain, logo only)

Authentication: bearer token.
Permission: org.update.

Request body

NameTypeRequiredNotes
namestringNo1–255 characters.
domainstringNoMay be null.
logoUrlstringNoMay be null.
bash
curl -X PUT "https://shellius.example.com/api/org" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "…",
    "domain": "…",
    "logoUrl": "…"
  }'

200 OK

json
{ "success": true, "data": { … } }

Read prodApprovalBypassMinRole ​

GET/api/org/access-settings

Org.access_settings.

Authentication: bearer token.
Permission: org.access_settings.

bash
curl -X GET "https://shellius.example.com/api/org/access-settings" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Set prodApprovalBypassMinRole ​

PUT/api/org/access-settings

Org.access_settings.

Authentication: bearer token.
Permission: org.access_settings.

Request body

NameTypeRequiredNotes
prodBypassEnabledbooleanNo
prodApprovalBypassMinRolestringNoOne of admin, super_admin, none.
personalVaultEnabledbooleanNo
ssoRequiredbooleanNo
bash
curl -X PUT "https://shellius.example.com/api/org/access-settings" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "prodBypassEnabled": false,
    "prodApprovalBypassMinRole": "admin",
    "personalVaultEnabled": false
  }'

200 OK

json
{ "success": true, "data": { … } }
Was this page helpful?No, tell us why